Type to search.

Get data stream settings

  • GET /_data_stream/{name}/_settings
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.1 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get setting information for one or more data streams.

Required privileges

Index privileges view_index_metadata

Path parameters

name union string | string[] required

A comma-separated list of data streams or data stream patterns. Supports wildcards (*).

Query parameters

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
data_streams object[] required
name string required

The name of the data stream.

settings object required

The settings specific to this data stream

index object
Same fields as settings in data_streams
mode string
routing_path union string | string[]
number_of_shards number | string · default: 1
number_of_replicas number | string · default: 0
number_of_routing_shards number
check_on_startup enum · default: false
Values: true false checksum
codec string · default: LZ4
routing_partition_size number | string · default: 1
load_fixed_bitset_filters_eagerly boolean · default: true
hidden boolean | string · default: false
auto_expand_replicas union string · default: false nullable
refresh_interval union oneOf · default: 1s
Values: -1 0
max_result_window number | string · default: 10000
max_inner_result_window number · default: 100
max_rescore_window number · default: 10000
max_script_fields number · default: 32
max_ngram_diff number · default: 1
max_shingle_diff number · default: 3
max_refresh_listeners number
max_terms_count number · default: 65536
max_regex_length number · default: 1000
gc_deletes union oneOf · default: 60s
Values: -1 0
default_pipeline string · default: _none
final_pipeline string · default: _none
provided_name string
creation_date union oneOf
One of: number or string
creation_date_string union oneOf
One of: string or number
uuid string
verified_before_close boolean | string
format number | string
max_slices_per_scroll number
priority number | string
top_metrics_max_size number
settings object
Same fields as settings in data_streams
similarity map string to oneOf

Configure custom similarity settings to customize how search results are scored.

effective_settings object required

The settings specific to this data stream merged with the settings from its template. These effective_settings are the settings that will be used when a new index is created for this data stream.

Same fields as settings in data_streams